> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bunny.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Get video storage size info



## OpenAPI

````yaml https://video.bunnycdn.com/openapi/bunnynet-video-api.public.json get /library/{libraryId}/videos/{videoId}/storage
openapi: 3.0.0
info:
  title: Stream API
  termsOfService: https://bunny.net/tos
  contact:
    name: bunny.net
    url: https://docs.bunny.net
    email: support@bunny.net
  version: 1.5.6
servers:
  - url: https://video.bunnycdn.com
security: []
tags:
  - name: Manage Collections
  - name: Manage Videos
paths:
  /library/{libraryId}/videos/{videoId}/storage:
    get:
      tags:
        - Manage Videos
      summary: Get video storage size info
      operationId: Video_GetVideoStorageSize
      parameters:
        - name: libraryId
          in: path
          required: true
          schema:
            type: integer
            format: int64
          x-position: 1
        - name: videoId
          in: path
          required: true
          schema:
            type: string
          x-position: 2
      responses:
        '200':
          description: The storage size information for the video.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatusModelOfVideoStorageSizeModel'
        '401':
          description: The request authorization failed
        '404':
          description: The requested video was not found
        '408':
          description: Request timeout
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal Server Error
      security:
        - AccessKey: []
components:
  schemas:
    StatusModelOfVideoStorageSizeModel:
      allOf:
        - $ref: '#/components/schemas/StatusModel'
        - type: object
          additionalProperties: false
          properties:
            data:
              nullable: true
              oneOf:
                - $ref: '#/components/schemas/VideoStorageSizeModel'
    StatusModel:
      type: object
      additionalProperties: false
      properties:
        success:
          type: boolean
          description: Determines if the request was successful
        message:
          type: string
          description: Response message description
          nullable: true
        statusCode:
          type: integer
          description: The response status code
          format: int32
    VideoStorageSizeModel:
      type: object
      additionalProperties: false
      properties:
        encoded:
          type: object
          nullable: true
          additionalProperties:
            $ref: '#/components/schemas/CodecRenditionSizeModel'
        thumbnails:
          type: integer
          format: int64
        previews:
          type: integer
          format: int64
        originals:
          type: integer
          format: int64
        mp4Fallback:
          type: integer
          format: int64
        miscellaneous:
          type: integer
          format: int64
        calculatedAt:
          type: string
          format: date-time
    CodecRenditionSizeModel:
      type: object
      additionalProperties: false
      properties:
        codec:
          type: string
          nullable: true
        resolution:
          type: string
          nullable: true
        size:
          type: integer
          format: int64
  securitySchemes:
    AccessKey:
      type: apiKey
      description: AccessKey based authentication
      name: AccessKey
      in: header

````